Subject: Re: [bug#27699] [PATCH 0/4] gnu: Add python-internetarchive.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 15 Jul 2017 12:05:05 +0200

Hi,

thanks! I removed the Tab characters, fixed some of the python-internetarchive tests and fixed python2-internetarchive and updated the commit messages to mention *all* the variables added.

Why did you propagate python2-pytest ? The Python3 tests didn't work either, the problem was not related to propagated-inputs...

After I fixed up the test invocation, still 11 tests of 105 fail, apparently mostly because the Requests mock doesn't work.  Could you take a look?

The mocking is done in tests/conftest.py in internetarchive-1.6.0.

I've disabled the test suite for the time being and pushed to master.